Subject: [dhcwg] Confirmation Token method with DHCPv6

From: Jean-Michel Combes <[email-masked]>
Date: Thu, 30 Sep 2010 20:21:01 +0200

Hi,

It is unclear for me whether the use of the Confirmation Token method
for the authentication in DHCPv6 is still possible or not.
I only found this method was dropped from the DHCPv6 specifications
(after the version 23 of draft-ietf-dhc-dhcpv6):
http://www.ietf.org/mail-archive/web/dhcwg/current/msg00879.html
On the IANA site, it seems this is still possible to use it:
http://www.iana.org/assignments/auth-namespaces/auth-namespaces.xhtml
Finally, I didn't find any DHCPv6 implementation (or I missed the
information ... :s) supporting this method.

So, I have a simple question: is it still possible to use the
Confirmation Token method with DHCPv6? Or is it an obsolete
authentication method for DHCPv6?

Thanks in advance for your help.

Best regards.

JMC.